using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATInbox")]
public partial class Atinbox
{
    [Key]
    [StringLength(32)]
    public string Inbox { get; set; } = null!;

    [StringLength(255)]
    public string? Description { get; set; }

    public int SortType { get; set; }

    public int Type { get; set; }

    public int Category { get; set; }

    public int? Status { get; set; }

    [StringLength(255)]
    public string? Alias { get; set; }

    [StringLength(255)]
    public string? FormName { get; set; }

    [Column(TypeName = "text")]
    public string? AssistText { get; set; }

    public Guid? ObjectId { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? LastPurge { get; set; }
}
